Compare commits

...

No commits in common. "c9-beta" and "c9s" have entirely different histories.
c9-beta ... c9s

7 changed files with 51 additions and 2 deletions

3
.gitignore vendored
View File

@ -1 +1,2 @@
SOURCES/libtraceevent-1.5.3.tar.gz
/libtraceevent-1.1.1.tar.gz
/libtraceevent-1.5.3.tar.gz

View File

@ -1 +1 @@
72d2ca781728169d9b17679b890f496d4c303040 SOURCES/libtraceevent-1.5.3.tar.gz
72d2ca781728169d9b17679b890f496d4c303040 libtraceevent-1.5.3.tar.gz

6
gating.yaml Normal file
View File

@ -0,0 +1,6 @@
--- !Policy
product_versions:
- rhel-9
decision_context: osci_compose_gate
rules:
- !PassingTestCaseRule {test_case_name: osci.brew-build.tier0.functional}

1
sources Normal file
View File

@ -0,0 +1 @@
SHA512 (libtraceevent-1.5.3.tar.gz) = 87cd8dbb51603e6d9f7fbc42f62175b4a1837d26bcfd187ac37afadfd34e7387d24322aaa6ac8e635755e905a4521a8a1b6c099dc983f5b248a1aefcd4a6f261

30
tests/scripts/run_tests.sh Executable file
View File

@ -0,0 +1,30 @@
#!/usr/bin/bash
if rpm -q --quiet libtraceevent; then
:
else
sudo dnf install -y libtraceevent
if [[ $? != 0 ]]; then
echo "install of libtraceevent failed!"
exit 1
fi
fi
echo "libtraceevent is a library to parse raw trace event formats. Check installation."
if [[ ! -f /usr/lib64/libtraceevent.so.1 ]]; then
echo "/usr/lib64/libtraceevent.so.1 not found!"
exit 2
fi
echo "Check the trace-cmd works."
if ! rpm -q --quiet trace-cmd; then
sudo dnf install -y trace-cmd
if [[ $? != 0 ]]; then
echo "install trace-cmd failed when libtraceevent exist!"
exit 3
fi
fi
trace-cmd list || exit 4
exit 0

11
tests/tests.yml Normal file
View File

@ -0,0 +1,11 @@
- hosts: localhost
roles:
- role: standard-test-basic
tags:
- classic
tests:
- simple:
dir: scripts
run: ./run_tests.sh
required_packages:
- libtraceevent trace-cmd